# Transfer Collection Ownership

## `transferCollectionOwnership()`

Transfer Collection ownership to another address

## Method parameters

| Variable                      | Type     | Description                                                                                                               |
| ----------------------------- | -------- | ------------------------------------------------------------------------------------------------------------------------- |
| `startrailLUWContractAddress` | `string` | The address of LicensedUserWallet(LUW) contract. Sets it when you want to execute transaction by the LUW contract address |
| `contractAddress`             | `string` | The address of collection contract                                                                                        |
| `newOwner`                    | `string` | New address to transfer collection ownership to                                                                           |

### Parameters Example

```
await sdk.transferCollectionOwnership(
  {
    startrailLUWContractAddress: '0x572a9e6B66F56A0D2c5cBE13066A4662b9C07868',
    newOwner: '0x92657b061Ccead3C84EA1a99f1FEDc64Cc6b49E2',
    contractAddress: '0xb135c5F2056e8D84a78094b1B02B28494845747F',
  }
)
```

## Returns

`Promise` will be returned which resolves with a `Response` object upon a successful confirmation. `false` will be returned when user flow is cancelled in such a case that a user closes the popup modal.

If the confirmation fails, the `Promise` will resolve with an {error} object that describes the failure.

`Promise<Response | false>`

{% hint style="warning" %}
The use of "txReceiptId" will soon be deprecated and removed.
{% endhint %}

### Response

| Variable      | Type        | Description                                             |
| ------------- | ----------- | ------------------------------------------------------- |
| `txReceiptId` | `string`    | ID to identify transaction details in Startrail-API DB. |
| `tx`          | `TxDetails` | Refer TxDetails for all possible data                   |

### TxDetails

| Variable          | Type     | Description                        |
| ----------------- | -------- | ---------------------------------- |
| `contractAddress` | `string` | The address of collection contract |

### Error

Custom `Error` objects. Refer to the [Error Catalogue](/startrail-sdk-js/errors.md) for possible data.

### Response Example

```
{
  txReceiptId: 0,
  tx: {
    contractAddress: '0xb135c5F2056e8D84a78094b1B02B28494845747F',
  }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.startrail.io/startrail-sdk-js/startrail-api-methods/transfercollectionownership.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
